Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.aalto
Interface AsyncInputFeeder

All Known Implementing Classes:
  AsyncStreamReaderImpl

    public interface AsyncInputFeeder

Interface used by `AsyncXMLStreamReader` to get more input to parse. It is accessed by entity that feeds XML content to parse; at any given point only one chunk of content can be processed so caller has to take care to only feed more content when existing content has been parsed (which occurs when parser's `nextToken` is called). Once application using non-blocking parser has no more data to feed it should call `endOfInput()` to indicate end of logical input stream.

Author:
  tatu

Method Summary
`void` | `endOfInput()` Method that should be called after last chunk of data to parse has been fed (with `feedInput(byte[], int, int)`); can be called regardless of what `needMoreInput()` returns.
`void` | `feedInput(byte[] data, int offset, int len)` Method that can be called to feed more data, if (and only if) `needMoreInput()` returns true.
`boolean` | `needMoreInput()` Method called to check whether it is ok to feed more data: parser returns true if it has no more content to parse (and it is ok to feed more); otherwise false (and no data should yet be fed).

Method Detail

### needMoreInput

    boolean needMoreInput()

  Method called to check whether it is ok to feed more data: parser returns true if it has no more content to parse (and it is ok to feed more); otherwise false (and no data should yet be fed).

### feedInput

    void feedInput(byte[] data,
                   int offset,
                   int len)
                   throws XMLStreamException

  Method that can be called to feed more data, if (and only if) `needMoreInput()` returns true.

  Parameters:
    `data` - Byte array that containts data to feed: caller must ensure data remains stable until it is fully processed (which is true when `needMoreInput()` returns true)
    `offset` - Offset within array where input data to process starts
    `len` - Length of input data within array to process.
  Throws:
    `XMLStreamException` - if the state is such that this method should not be called (has not yet consumed existing input data, or has been marked as closed)

### endOfInput

    void endOfInput()

  Method that should be called after last chunk of data to parse has been fed (with `feedInput(byte[], int, int)`); can be called regardless of what `needMoreInput()` returns. After calling this method, no more data can be fed; and parser assumes no more data will be available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Fasterxml.com. All Rights Reserved.